diff --git a/changelog b/changelog
index 660da0d..8228788 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,13 @@
-20130318 rxb src/axiom-website/patches.html 20130318.02.tpd.patch
+20130318 tpd src/axiom-website/patches.html 20130319.01.tpd.patch
+20130319 tpd src/input/unittest2.input fix broken tests
+20130319 tpd src/input/test.input fix broken tests
+20130319 tpd src/input/schaum33.input fix broken tests
+20130319 tpd src/input/schaum17.input fix broken tests
+20130319 tpd src/input/schaum1.input fix broken tests
+20130319 tpd src/input/richexponential.input fix broken tests
+20130319 tpd src/input/richalgebraic200-299.input fix broken tests
+20130319 tpd src/input/richalgebraic000-099.input fix broken tests
+20130318 tpd src/axiom-website/patches.html 20130318.02.tpd.patch
 20130318 tpd buglist fix typos
 20130318 tpd books/bookvol10.3 fix typos
 20130318 tpd books/bookvol10.2 fix typos
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1de25b7..7f947a9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4103,5 +4103,7 @@ books/bookvol10.2 fix multiple typos
 books/bookvol10.4 add MatrixManipulation
 <a href="patches/20130318.02.tpd.patch">20130318.02.tpd.patch</a>
 books/bookvol10.2, bookvol10.3 fix typos
+<a href="patches/20130319.01.tpd.patch">20130319.01.tpd.patch</a>
+fix broken tests
  </body>
 </html>
diff --git a/src/input/richalgebraic000-099.input.pamphlet b/src/input/richalgebraic000-099.input.pamphlet
index 1f570f0..9d4d297 100644
--- a/src/input/richalgebraic000-099.input.pamphlet
+++ b/src/input/richalgebraic000-099.input.pamphlet
@@ -567,7 +567,7 @@ Occasionally we get a different answer to this same integration:
 Both answers are correct as can be seen by taking the difference between
 the original integrand and the derivative of the expression.
 \begin{chunk}{*}
---S 47 of 518
+--S 47 of 518 this command generates random output, ok
 m0009:= a0009-r0009
 --R 
 --R
diff --git a/src/input/richalgebraic200-299.input.pamphlet b/src/input/richalgebraic200-299.input.pamphlet
index 2c57e3c..fc6e6ee 100644
--- a/src/input/richalgebraic200-299.input.pamphlet
+++ b/src/input/richalgebraic200-299.input.pamphlet
@@ -1864,7 +1864,7 @@ r0226:= 1/3*x*(a+b*x^2)^(1/2)*(c+d*x^2)^(1/2)/d+1/3*%i*c*(2*b*c-a*d)*_
         EllipticF(%i*asinh((b/a)^(1/2)*x),a*d/b/c)/(b/a)^(1/2)/_
         d^2/(a+b*x^2)^(1/2)/(c+d*x^2)^(1/2)
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
diff --git a/src/input/richexponential.input.pamphlet b/src/input/richexponential.input.pamphlet
index fa2884e..b34ae9d 100644
--- a/src/input/richexponential.input.pamphlet
+++ b/src/input/richexponential.input.pamphlet
@@ -7254,7 +7254,7 @@ r0089:= 1/4*(-1)^(3/4)*exp(1)^(%i*a+1/4*%i*(1+%i*b)^2/c)*%pi^(1/2)*_
         1/4*(-1)^(3/4)*exp(1)^(-%i*a-1/4*%i*(1-%i*b)^2/c)*%pi^(1/2)*_
         erfi(1/2*(-1)^(1/4)*(1-%i*b-2*%i*c*x)/c^(1/2))/c^(1/2)
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
@@ -7317,7 +7317,7 @@ r0090:= (-1/8-1/8*%i)*2^(1/2)*%pi^(1/2)*(exp(1/4*%i*(4*a*c+1+2*%i*b-b^2)/c)*_
         %i*exp(1/4*%i*(-4*a*c-1+2*%i*b+b^2)/c)*_
         erf(1/4*2^(1/2)*(%i*b+2*%i*c*x-1+%i+b+2*c*x)/c^(1/2)))/c^(1/2)
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
diff --git a/src/input/schaum1.input.pamphlet b/src/input/schaum1.input.pamphlet
index ff01358..2cc2eee 100644
--- a/src/input/schaum1.input.pamphlet
+++ b/src/input/schaum1.input.pamphlet
@@ -26,7 +26,7 @@ aa:=integrate(1/(a*x+b),x)
 --R        log(a x + b)
 --R   (1)  ------------
 --R              a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 1
 
 --S 2 of 108
@@ -35,14 +35,14 @@ bb:=1/a*log(a*x+b)
 --R        log(a x + b)
 --R   (2)  ------------
 --R              a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 3 of 108      14:59 Schaums and Axiom agree
 cc:=bb-aa
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 \section{\cite{1}:14.60~~~~~$\displaystyle
@@ -61,7 +61,7 @@ aa:=integrate(x/(a*x+b),x)
 --R   (1)  ----------------------
 --R                   2
 --R                  a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 5 of 108
@@ -71,14 +71,14 @@ bb:=x/a-b/a^2*log(a*x+b)
 --R   (2)  ----------------------
 --R                   2
 --R                  a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 6 of 108      14:60 Schaums and Axiom agree
 cc:=bb-aa
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -98,7 +98,7 @@ aa:=integrate(x^2/(a*x+b),x)
 --R   (1)  -------------------------------
 --R                        3
 --R                      2a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 8 of 108
@@ -109,7 +109,7 @@ bb:=(a*x+b)^2/(2*a^3)-(2*b*(a*x+b))/a^3+b^2/a^3*log(a*x+b)
 --R   (2)  -------------------------------------
 --R                           3
 --R                         2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 9 of 108
@@ -120,7 +120,7 @@ cc:=bb-aa
 --R   (3)  - ---
 --R            3
 --R          2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 This factor is constant with respect to $x$ as shown by taking the
@@ -130,7 +130,7 @@ derivative. It is a constant of integration.
 differentiate(cc,x)
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 \section{\cite{1}:14.62~~~~~$\displaystyle
@@ -150,7 +150,7 @@ aa:=integrate(x^3/(a*x+b),x)
 --R   (1)  --------------------------------------------
 --R                               4
 --R                             6a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 \end{chunk}
 and the book expression is:
@@ -164,7 +164,7 @@ bb:=(a*x+b)^3/(3*a^4)-(3*b*(a*x+b)^2)/(2*a^4)+(3*b^2*(a*x+b))/a^4-_
 --R   (2)  ---------------------------------------------------
 --R                                  4
 --R                                6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -178,7 +178,7 @@ cc:=aa-bb
 --R   (3)  - ----
 --R             4
 --R           6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -189,7 +189,7 @@ constant.
 dd:=D(cc,x)
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -207,7 +207,7 @@ aa:=integrate(1/(x*(a*x+b)),x)
 --R        - log(a x + b) + log(x)
 --R   (1)  -----------------------
 --R                   b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 16 of 108
@@ -218,7 +218,7 @@ bb:=1/b*log(x/(a*x+b))
 --R            a x + b
 --R   (2)  ------------
 --R              b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 17 of 108
@@ -229,7 +229,7 @@ cc:=aa-bb
 --R                                      a x + b
 --R   (3)  --------------------------------------
 --R                           b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 but we know that $$\log(a)-\log(b)=\log(\frac{a}{b})$$
@@ -242,7 +242,7 @@ logdiv:=rule(log(a)-log(b) == log(a/b))
 --R                                      a
 --I   (4)  - log(b) + log(a) + %I == log(-) + %I
 --R                                      b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 
 \end{chunk}
 and use this rule to rewrite the logs into divisions:
@@ -251,7 +251,7 @@ and use this rule to rewrite the logs into divisions:
 dd:=logdiv cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 so we can see the equivalence directly.
@@ -271,7 +271,7 @@ aa:=integrate(1/(x^2*(a*x+b)),x)
 --R   (1)  ---------------------------------
 --R                        2
 --R                       b x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 \end{chunk}
 
@@ -286,7 +286,7 @@ bb:=-1/(b*x)+a/b^2*log((a*x+b)/x)
 --R   (2)  --------------------
 --R                  2
 --R                 b x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 
 --S 22 of 108
@@ -298,7 +298,7 @@ cc:=aa-bb
 --R   (3)  ------------------------------------------
 --R                             2
 --R                            b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -310,7 +310,7 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 
 \end{chunk}
 and apply it to the difference
@@ -319,7 +319,7 @@ and apply it to the difference
 divlog cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -338,7 +338,7 @@ aa:=integrate(1/(x^3*(a*x+b)),x)
 --R   (1)  -----------------------------------------------
 --R                               3 2
 --R                             2b x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 26 of 108
@@ -350,7 +350,7 @@ bb:=(2*a*x-b)/(2*b^2*x^2)+a^2/b^3*log(x/(a*x+b))
 --R   (2)  -------------------------------
 --R                       3 2
 --R                     2b x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 27 of 108
@@ -362,7 +362,7 @@ cc:=aa-bb
 --R   (3)  --------------------------------------------
 --R                              3
 --R                             b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 28 of 108
@@ -371,14 +371,14 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 29 of 108     14:65 Schaums and Axiom agree
 dd:=divlog cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -397,7 +397,7 @@ aa:=integrate(1/(a*x+b)^2,x)
 --R   (1)  - ---------
 --R           2
 --R          a x + a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 31 of 108
@@ -407,14 +407,14 @@ bb:=-1/(a*(a*x+b))
 --R   (2)  - ---------
 --R           2
 --R          a x + a b
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E
 
 --S 32 of 108     14:66 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 \end{chunk}
@@ -434,7 +434,7 @@ aa:=integrate(x/(a*x+b)^2,x)
 --R   (1)  -------------------------
 --R                 3     2
 --R                a x + a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 34 of 108
@@ -444,14 +444,14 @@ bb:=b/(a^2*(a*x+b))+1/a^2*log(a*x+b)
 --R   (2)  -------------------------
 --R                 3     2
 --R                a x + a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 35 of 108     14:67 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 \end{chunk}
@@ -473,7 +473,7 @@ aa:=integrate(x^2/(a*x+b)^2,x)
 --R   (1)  ------------------------------------------------
 --R                             4     3
 --R                            a x + a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 \end{chunk}
 and the book expression expands into
@@ -486,7 +486,7 @@ bb:=(a*x+b)/a^3-b^2/(a^3*(a*x+b))-((2*b)/a^3)*log(a*x+b)
 --R   (2)  --------------------------------------------
 --R                           4     3
 --R                          a x + a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -499,7 +499,7 @@ cc:=aa-bb
 --R   (3)  - --
 --R           3
 --R          a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -509,7 +509,7 @@ That this expression is constant can be shown by differentiation:
 D(cc,x)
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 
 \end{chunk}
 
@@ -530,7 +530,7 @@ aa:=integrate(x^3/(a*x+b)^2,x)
 --R   (1)  ----------------------------------------------------------
 --R                                  5      4
 --R                                2a x + 2a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 41 of 108
@@ -541,7 +541,7 @@ bb:=(a*x+b)^2/(2*a^4)-(3*b*(a*x+b))/a^4+b^3/(a^4*(a*x+b))+(3*b^2/a^4)*log(a*x+b)
 --R   (2)  ----------------------------------------------------------
 --R                                  5      4
 --R                                2a x + 2a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 42 of 108
@@ -552,14 +552,14 @@ cc:=aa-bb
 --R   (3)  ---
 --R          4
 --R        2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 43 of 108     14:69 Schaums and Axiom differ by a constant
 dd:=D(cc,x)
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 \section{\cite{1}:14.70~~~~~$\displaystyle
@@ -577,7 +577,7 @@ aa:=integrate(1/(x*(a*x+b)^2),x)
 --R   (1)  ---------------------------------------------
 --R                             2     3
 --R                          a b x + b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 \end{chunk}
 and the book says:
@@ -591,7 +591,7 @@ bb:=(1/(b*(a*x+b))+(1/b^2)*log(x/(a*x+b)))
 --R   (2)  -------------------------
 --R                   2     3
 --R                a b x + b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 46 of 108
@@ -603,7 +603,7 @@ cc:=aa-bb
 --R   (3)  --------------------------------------
 --R                           2
 --R                          b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 So we look at the divlog rule again:
@@ -614,7 +614,7 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 \end{chunk}
 
@@ -624,7 +624,7 @@ we apply it:
 dd:=divlog cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -645,7 +645,7 @@ aa:=integrate(1/(x^2*(a*x+b)^2),x)
 --R   (1)  ---------------------------------------------------------------------
 --R                                        3 2    4
 --R                                     a b x  + b x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 \end{chunk}
 and the book says:
@@ -659,7 +659,7 @@ bb:=(-a/(b^2*(a*x+b)))-(1/(b^2*x))+((2*a)/b^3)*log((a*x+b)/x)
 --R   (2)  ------------------------------------------
 --R                          3 2    4
 --R                       a b x  + b x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 51 of 108
@@ -671,7 +671,7 @@ cc:=aa-bb
 --R   (3)  ---------------------------------------------
 --R                               3
 --R                              b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 which calls for our divlog rule:
@@ -682,7 +682,7 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 \end{chunk}
 which we use to transform the result:
@@ -691,7 +691,7 @@ which we use to transform the result:
 dd:=divlog cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 \section{\cite{1}:14.72~~~~~$\displaystyle
@@ -715,7 +715,7 @@ aa:=integrate(1/(x^3*(a*x+b)^2),x)
 --R  /
 --R         4 3     5 2
 --R     2a b x  + 2b x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 55 of 108
@@ -728,7 +728,7 @@ bb:=-(a*x+b)^2/(2*b^4*x^2)+(3*a*(a*x+b))/(b^4*x)-(a^3*x)/(b^4*(a*x+b))-_
 --R   (2)  ---------------------------------------------------------------
 --R                                    4 3     5 2
 --R                                2a b x  + 2b x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 56 of 108
@@ -740,7 +740,7 @@ cc:=aa-bb
 --R   (3)  -----------------------------------------------------
 --R                                   4
 --R                                 2b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 57 of 108
@@ -749,7 +749,7 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 58 of 108
@@ -760,14 +760,14 @@ dd:=divlog cc
 --R   (5)  - ---
 --R            4
 --R          2b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 59 of 108     14:72 Schaums and Axiom differ by a constant
 ee:=D(dd,x)
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -786,7 +786,7 @@ aa:=integrate(1/(a*x+b)^3,x)
 --R   (1)  - ----------------------
 --R            3 2     2          2
 --R          2a x  + 4a b x + 2a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 61 of 108
@@ -796,7 +796,7 @@ bb:=-1/(2*(a*x+b)^2)
 --R   (2)  - --------------------
 --R            2 2              2
 --R          2a x  + 4a b x + 2b
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E
 
 --S 62 of 108
@@ -806,7 +806,7 @@ cc:=aa-bb
 --R   (3)  ----------------------
 --R          3 2     2          2
 --R        2a x  + 4a b x + 2a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 63 of 108
@@ -815,14 +815,14 @@ dd:=aa/bb
 --R        1
 --R   (4)  -
 --R        a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 64 of 108     14:73 Schaums and Axiom differ by a constant
 ee:=D(dd,x)
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -841,7 +841,7 @@ aa:=integrate(x/(a*x+b)^3,x)
 --R   (1)  ----------------------
 --R          4 2     3        2 2
 --R        2a x  + 4a b x + 2a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 66 of 108
@@ -851,14 +851,14 @@ bb:=-1/(a^2*(a*x+b))+b/(2*a^2*(a*x+b)^2)
 --R   (2)  ----------------------
 --R          4 2     3        2 2
 --R        2a x  + 4a b x + 2a b
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E
 
 --S 67 of 108     14:74 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -879,7 +879,7 @@ aa:=integrate(x^2/(a*x+b)^3,x)
 --R   (1)  -------------------------------------------------
 --R                        5 2     4        3 2
 --R                      2a x  + 4a b x + 2a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 69 of 108
@@ -890,14 +890,14 @@ bb:=(2*b)/(a^3*(a*x+b))-(b^2)/(2*a^3*(a*x+b)^2)+1/a^3*log(a*x+b)
 --R   (2)  -------------------------------------------------
 --R                        5 2     4        3 2
 --R                      2a x  + 4a b x + 2a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 70 of 108     14:75 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -918,7 +918,7 @@ aa:=integrate(x^3/(a*x+b)^3,x)
 --R   ------------------------------------------------------------------------
 --R                              6 2     5        4 2
 --R                            2a x  + 4a b x + 2a b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 72 of 108
@@ -930,14 +930,14 @@ bb:=(x/a^3)-(3*b^2)/(a^4*(a*x+b))+b^3/(2*a^4*(a*x+b)^2)-(3*b)/a^4*log(a*x+b)
 --R   ------------------------------------------------------------------------
 --R                              6 2     5        4 2
 --R                            2a x  + 4a b x + 2a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 73 of 108     14:76 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -963,7 +963,7 @@ aa:=integrate(1/(x*(a*x+b)^3),x)
 --R  /
 --R       2 3 2       4      5
 --R     2a b x  + 4a b x + 2b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 75 of 108
@@ -975,7 +975,7 @@ bb:=(a^2*x^2)/(2*b^3*(a*x+b)^2)-(2*a*x)/(b^3*(a*x+b))-(1/b^3)*log((a*x+b)/x)
 --R   (2)  -----------------------------------------------------
 --R                          2 3 2       4      5
 --R                        2a b x  + 4a b x + 2b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 76 of 108
@@ -987,7 +987,7 @@ cc:=aa-bb
 --R   (3)  ---------------------------------------------
 --R                               3
 --R                             2b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 77 of 108
@@ -996,7 +996,7 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 78 of 108
@@ -1006,14 +1006,14 @@ dd:=divlog cc
 --R   (5)  ---
 --R          3
 --R        2b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 79 of 108     14:77 Schaums and Axiom differ by a constant
 ee:=D(dd,x)
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -1038,7 +1038,7 @@ aa:=integrate(1/(x^2*(a*x+b)^3),x)
 --R  /
 --R       2 4 3       5 2     6
 --R     2a b x  + 4a b x  + 2b x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 81 of 108
@@ -1050,7 +1050,7 @@ bb:=-a/(2*b^2*(a*x+b)^2)-(2*a)/(b^3*(a*x+b))-1/(b^3*x)+((3*a)/b^4)*log((a*x+b)/x
 --R   (2)  ----------------------------------------------------------------
 --R                              2 4 3       5 2     6
 --R                            2a b x  + 4a b x  + 2b x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 82 of 108
@@ -1062,7 +1062,7 @@ cc:=aa-bb
 --R   (3)  ---------------------------------------------
 --R                               4
 --R                              b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 83 of 108
@@ -1071,14 +1071,14 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 84 of 108     14:78 Schaums and Axiom agree
 dd:=divlog cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -1106,7 +1106,7 @@ aa:=integrate(1/(x^3*(a*x+b)^3),x)
 --R  /
 --R       2 5 4       6 3     7 2
 --R     2a b x  + 4a b x  + 2b x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 86 of 108
@@ -1126,7 +1126,7 @@ bb:=-1/(2*b*x^2*(a*x+b)^2)_
 --R  /
 --R       2 5 4       6 3     7 2
 --R     2a b x  + 4a b x  + 2b x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 87 of 108
@@ -1138,7 +1138,7 @@ cc:=aa-bb
 --R   (3)  -----------------------------------------------
 --R                                5
 --R                               b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 88 of 108
@@ -1147,14 +1147,14 @@ divlog:=rule(log(a/b) == log(a) - log(b))
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 89 of 108     14:79 Schaums and Axiom agree
 dd:=divlog cc
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -1172,7 +1172,7 @@ aa:=integrate((a*x+b)^n,x)
 --R        (a x + b)%e
 --R   (1)  -------------------------
 --R                 a n + a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 91 of 108
@@ -1182,7 +1182,7 @@ bb:=(a*x+b)^(n+1)/((n+1)*a)
 --R        (a x + b)
 --R   (2)  --------------
 --R            a n + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 92 of 108
@@ -1192,7 +1192,7 @@ cc:=aa-bb
 --R        (a x + b)%e               - (a x + b)
 --R   (3)  ------------------------------------------
 --R                          a n + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 This messy formula can be simplified using the explog rule:
@@ -1202,7 +1202,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
 --R   (4)  %e         == x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 94 of 108
@@ -1212,14 +1212,14 @@ dd:=explog cc
 --R        - (a x + b)      + (a x + b)(a x + b)
 --R   (5)  --------------------------------------
 --R                        a n + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 95 of 108     14:80 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -1239,7 +1239,7 @@ aa:=integrate(x*(a*x+b)^n,x)
 --R   (1)  ---------------------------------------------
 --R                       2 2     2      2
 --R                      a n  + 3a n + 2a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 97 of 108
@@ -1250,7 +1250,7 @@ bb:=((a*x+b)^(n+2))/((n+2)*a^2)-(b*(a*x+b)^(n+1))/((n+1)*a^2)
 --R   (2)  --------------------------------------------------
 --R                          2 2     2      2
 --R                         a n  + 3a n + 2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 98 of 108
@@ -1265,7 +1265,7 @@ cc:=aa-bb
 --R  /
 --R      2 2     2      2
 --R     a n  + 3a n + 2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 99 of 108
@@ -1273,7 +1273,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
 --R   (4)  %e         == x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 100 of 108
@@ -1288,14 +1288,14 @@ dd:=explog cc
 --R  /
 --R      2 2     2      2
 --R     a n  + 3a n + 2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 101 of 108
 ee:=complexNormalize dd
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 \section{\cite{1}:14.82~~~~~$\displaystyle
@@ -1318,7 +1318,7 @@ aa:=integrate(x^2*(a*x+b)^n,x)
 --R   -----------------------------------------------------------------------------
 --R                              3 3     3 2      3      3
 --R                             a n  + 6a n  + 11a n + 6a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 103 of 108
@@ -1334,7 +1334,7 @@ bb:=(a*x+b)^(n+3)/((n+3)*a^3)-(2*b*(a*x+b)^(n+2))/_
 --R  /
 --R      3 3     3 2      3      3
 --R     a n  + 6a n  + 11a n + 6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 104 of 108
@@ -1355,7 +1355,7 @@ cc:=aa-bb
 --R  /
 --R      3 3     3 2      3      3
 --R     a n  + 6a n  + 11a n + 6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 105 of 108
@@ -1363,7 +1363,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
 --R   (4)  %e         == x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 106 of 108
@@ -1381,14 +1381,14 @@ dd:=explog cc
 --R  /
 --R      3 3     3 2      3      3
 --R     a n  + 6a n  + 11a n + 6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 107 of 108    14:82 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 \section{\cite{1}:14.83~~~~~$\displaystyle
@@ -1419,7 +1419,7 @@ aa:=integrate(x^m*(a*x+b)^n,x)
 --R         ++    m          n
 --I   (1)   |   %U (b + %U a) d%U
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 )spool
diff --git a/src/input/schaum17.input.pamphlet b/src/input/schaum17.input.pamphlet
index cf3258f..2531d05 100644
--- a/src/input/schaum17.input.pamphlet
+++ b/src/input/schaum17.input.pamphlet
@@ -991,10 +991,11 @@ dd:=tanrule cc
 
 --S 68 of 136
 sindiffrule2:=rule(sin((a-b)/4) == sin(a/4)*cos(b/4)-cos(a/4)*sin(b/4))
+--R 
 --R
---R                 b - a              a     b           b     a
---I   (6)  - %K sin(-----) == - %K cos(-)sin(-) + %K cos(-)sin(-)
---R                   4                4     4           4     4
+--R                  b - a               a     b            b     a
+--I   (6)  - %BD sin(-----) == - %BD cos(-)sin(-) + %BD cos(-)sin(-)
+--R                    4                 4     4            4     4
 --R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
diff --git a/src/input/schaum33.input.pamphlet b/src/input/schaum33.input.pamphlet
index ff78850..06c51f9 100644
--- a/src/input/schaum33.input.pamphlet
+++ b/src/input/schaum33.input.pamphlet
@@ -27,7 +27,7 @@ aa:=integrate(csch(a*x),x)
 --R        - log(sinh(a x) + cosh(a x) + 1) + log(sinh(a x) + cosh(a x) - 1)
 --R   (1)  -----------------------------------------------------------------
 --R                                        a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 2 of 49
@@ -38,7 +38,7 @@ bb:=1/a*log(tanh((a*x)/2))
 --R                  2
 --R   (2)  --------------
 --R               a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 3 of 49
@@ -52,14 +52,14 @@ cc:=aa-bb
 --R       log(sinh(a x) + cosh(a x) - 1)
 --R  /
 --R     a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 4 of 49      14:636 Schaums and Axiom agree
 dd:=complexNormalize cc
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -79,7 +79,7 @@ aa:=integrate(csch(a*x)^2,x)
 --R   (1)  - -------------------------------------------------------
 --R                     2                                      2
 --R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 6 of 49
@@ -88,7 +88,7 @@ bb:=-coth(a*x)/a
 --R          coth(a x)
 --R   (2)  - ---------
 --R              a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 7 of 49      14:637 Axiom cannot simplify this expression
@@ -103,7 +103,7 @@ cc:=aa-bb
 --R  /
 --R                2                                      2
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -149,7 +149,7 @@ aa:=integrate(csch(a*x)^3,x)
 --R       (8a cosh(a x)  - 8a cosh(a x))sinh(a x) + 2a cosh(a x)  - 4a cosh(a x)
 --R     + 
 --R       2a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 9 of 49
@@ -160,7 +160,7 @@ bb:=-(csch(a*x)*coth(a*x))/(2*a)-1/(2*a)*log(tanh((a*x)/2))
 --R                    2
 --R   (2)  -------------------------------------
 --R                          2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 10 of 49     14:638 Axiom cannot simplify this expression
@@ -215,7 +215,7 @@ cc:=aa-bb
 --R       (8a cosh(a x)  - 8a cosh(a x))sinh(a x) + 2a cosh(a x)  - 4a cosh(a x)
 --R     + 
 --R       2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -243,7 +243,7 @@ aa:=integrate(csch(a*x)^n*coth(a*x),x)
 --R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
 --R  /
 --R     a n
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 12 of 49
@@ -253,7 +253,7 @@ bb:=-csch(a*x)^n/(n*a)
 --R          csch(a x)
 --R   (2)  - ----------
 --R              a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 13 of 49
@@ -274,7 +274,7 @@ cc:=aa-bb
 --R       csch(a x)
 --R  /
 --R     a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 14 of 49
@@ -283,7 +283,7 @@ cschrule:=rule(csch(x) == 1/sinh(x))
 --R                      1
 --R   (4)  csch(x) == -------
 --R                   sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 15 of 49
@@ -305,7 +305,7 @@ dd:=cschrule cc
 --R        sinh(a x)
 --R  /
 --R     a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 16 of 49
@@ -330,7 +330,7 @@ ee:=expandLog dd
 --R        sinh(a x)
 --R  /
 --R     a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 17 of 49
@@ -339,7 +339,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R               2    cosh(2x) - 1
 --R   (7)  sinh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 18 of 49
@@ -368,7 +368,7 @@ ff:=sinhsqrrule ee
 --R        sinh(a x)
 --R  /
 --R     a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 19 of 49
@@ -377,7 +377,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R               2    cosh(2x) + 1
 --R   (9)  cosh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 20 of 49
@@ -400,7 +400,7 @@ gg:=coshsqrrule ff
 --R        sinh(a x)
 --R  /
 --R     a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 21 of 49
@@ -409,7 +409,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --I                              %O sinh(y + x) - %O sinh(y - x)
 --I   (11)  %O cosh(y)sinh(x) == -------------------------------
 --R                                             2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 22 of 49
@@ -432,14 +432,14 @@ hh:=sinhcoshrule gg
 --R        sinh(a x)
 --R  /
 --R     a n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 23 of 49     14:639 Schaums and Axiom agree
 ii:=complexNormalize hh
 --R
 --R   (13)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -458,7 +458,7 @@ aa:=integrate(1/csch(a*x),x)
 --R        cosh(a x)
 --R   (1)  ---------
 --R            a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 25 of 49
@@ -467,14 +467,14 @@ bb:=1/a*cosh(a*x)
 --R        cosh(a x)
 --R   (2)  ---------
 --R            a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 26 of 49     14:640 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -496,7 +496,7 @@ aa:=integrate(x*csch(a*x),x)
 --R         ++
 --I   (1)   |   %O csch(%O a)d%O
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 \end{chunk}
 
@@ -525,7 +525,7 @@ aa:=integrate(x*csch(a*x)^2,x)
 --R  /
 --R      2         2     2                      2         2    2
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 29 of 49
@@ -535,7 +535,7 @@ bb:=-(x*coth(a*x))/a+1/a^2*log(sinh(a*x))
 --R   (2)  ------------------------------
 --R                       2
 --R                      a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 30 of 49
@@ -562,7 +562,7 @@ cc:=aa-bb
 --R  /
 --R      2         2     2                      2         2    2
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 31 of 49
@@ -584,7 +584,7 @@ dd:=expandLog cc
 --R  /
 --R      2         2     2                      2         2    2
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 32 of 49
@@ -593,7 +593,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R               2    cosh(2x) - 1
 --R   (5)  sinh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 33 of 49
@@ -617,7 +617,7 @@ ee:=sinhsqrrule dd
 --R  /
 --R       2                      2               2         2     2
 --R     4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  - 3a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 34 of 49
@@ -626,7 +626,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R               2    cosh(2x) + 1
 --R   (7)  cosh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 35 of 49
@@ -641,7 +641,7 @@ ff:=coshsqrrule ee
 --R  /
 --R       2                      2              2
 --R     2a cosh(a x)sinh(a x) + a cosh(2a x) - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 36 of 49
@@ -650,7 +650,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --I                             %P sinh(y + x) - %P sinh(y - x)
 --I   (9)  %P cosh(y)sinh(x) == -------------------------------
 --R                                            2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 37 of 49
@@ -665,7 +665,7 @@ gg:=sinhcoshrule ff
 --R  /
 --R      2              2              2
 --R     a sinh(2a x) + a cosh(2a x) - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 38 of 49     14:642 Schaums and Axiom differ by a constant
@@ -675,7 +675,7 @@ hh:=complexNormalize gg
 --R   (11)  ---------------------
 --R                    2
 --R                   a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -696,7 +696,7 @@ aa:=integrate(csch(a*x)/x,x)
 --I         ++  csch(%O a)
 --I   (1)   |   ---------- d%O
 --I        ++       %O
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 \end{chunk}
 
@@ -741,7 +741,7 @@ aa:=integrate(1/(q+p*csch(a*x)),x)
 --R         +-------+
 --R         | 2    2
 --R     a q\|q  + p
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 --S 41 of 49
@@ -770,7 +770,7 @@ t1:=integrate(1/(p+q*sinh(a*x)),x)
 --R       +-------+
 --R       | 2    2
 --R     a\|q  + p
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E
 
 --S 42 of 49
@@ -806,7 +806,7 @@ bb:=x/q-p/q*t1
 --R         +-------+
 --R         | 2    2
 --R     a q\|q  + p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 43 of 49
@@ -858,7 +858,7 @@ cc:=aa-bb
 --R         +-------+
 --R         | 2    2
 --R     a q\|q  + p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 44 of 49
@@ -867,7 +867,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R               2    cosh(2x) - 1
 --R   (5)  sinh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 45 of 49
@@ -919,7 +919,7 @@ dd:=sinhsqrrule cc
 --R         +-------+
 --R         | 2    2
 --R     a q\|q  + p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 46 of 49
@@ -928,7 +928,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R               2    cosh(2x) + 1
 --R   (7)  cosh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E
 
 --S 47 of 49
@@ -974,7 +974,7 @@ ee:=coshsqrrule dd
 --R         +-------+
 --R         | 2    2
 --R     a q\|q  + p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 
 --S 48 of 49     14:644 Schaums and Axiom differ by a constant
@@ -986,7 +986,7 @@ ff:=complexNormalize ee
 --R              +-------+
 --R              | 2    2
 --R          a q\|q  + p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E
 \end{chunk}
 
@@ -1007,7 +1007,7 @@ aa:=integrate(csch(a*x)^n,x)
 --R         ++            n
 --I   (1)   |   csch(%O a) d%O
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 
 
 )spool
diff --git a/src/input/test.input.pamphlet b/src/input/test.input.pamphlet
index 8e7c83d..b32a718 100644
--- a/src/input/test.input.pamphlet
+++ b/src/input/test.input.pamphlet
@@ -847,7 +847,7 @@ m = [[1,2],[2,3]]  -- Should return type EQ POLY SQMATRIX(2, INT)
 --S 65 of 188
 1/"asd"
 --R 
---R   There are 14 exposed and 12 unexposed library operations named / 
+--R   There are 15 exposed and 12 unexposed library operations named / 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op /
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index 2292dd9..3a4e616 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -19,820 +19,814 @@ Unit test the user level commands
 )set mes auto off
 )clear all
 
---S 1 of 236
+--S 1 of 235
 )lisp (identity |$abbreviateTypes|)
 --R 
 --RValue = NIL
 --E 1
 
---S 2 of 236
+--S 2 of 235
 )lisp (identity |$algebraFormat|)
 --R 
 --RValue = T
 --E 2
 
---S 3 of 236
+--S 3 of 235
 )lisp (identity |$algebraOutputFile|)
 --R 
 --RValue = "CONSOLE"
 --E 3
 
---S 4 of 236
+--S 4 of 235
 )lisp (identity |$algebraOutputStream|)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
 --E 4
 
---S 5 of 236 removed this variable
+--S 5 of 235 removed this variable
 )lisp (identity nil)
 --R 
 --RValue = NIL
 --E 5
 
---S 6 of 236
+--S 6 of 235
 )lisp (identity |$BreakMode|)
 --R 
 --RValue = |resume|
 --E 6
 
---S 7 of 236
+--S 7 of 235
 )lisp (identity |$clearExcept|)
 --R 
 --RValue = NIL
 --E 7
 
---S 8 of 236
+--S 8 of 235
 )lisp (identity |$clearOptions|)
 --R 
 --RValue = (|modes| |operations| |properties| |types| |values|)
 --E 8
 
---S 9 of 236
+--S 9 of 235
 )lisp (identity |$CommandSynonymAlist|)
 --R 
 --IValue = ((? . "what commands") (|ap| . "what things") ...
 --E 9
 
---S 10 of 236
+--S 10 of 235
 )lisp (identity |$compileDontDefineFunctions|)
 --R 
 --RValue = T
 --E 10
 
---S 11 of 236
+--S 11 of 235
 )lisp (identity |$compileRecurrence|)
 --R 
 --RValue = T
 --E 11
 
---S 12 of 236
+--S 12 of 235
 )lisp (identity compiler::*compile-verbose*)
 --R 
 --RValue = NIL
 --E 12
 
---S 13 of 236
-)lisp (identity credits)
---R 
---IValue = ("An alphabetical listing of contributors to AXIOM:" ...
---E 13
-
---S 14 of 236
+--S 13 of 235
 )lisp (identity |$defaultFortranType|)
 --R 
 --RValue = REAL
---E 14
+--E 13
 
---S 15 of 236
+--S 14 of 235
 )lisp (identity *default-pathname-defaults*)
 --R 
 --IValue = #p"/tmp/"
---E 15
+--E 14
 
---S 16 of 236
+--S 15 of 235
 )lisp (identity |$defaultSpecialCharacters|)
 --R 
 --IValue = (#\^\ #\^[ #\^^ #\^_ #\O #\- #\\220 #\\255 ...
---E 16
+--E 15
 
---S 17 of 236
+--S 16 of 235
 )lisp (identity |$displayDroppedMap|)
 --R 
 --RValue = NIL
---E 17
+--E 16
 
---S 18 of 236
+--S 17 of 235
 )lisp (identity |$displayMsgNumber|)
 --R 
 --RValue = NIL
---E 18
+--E 17
 
---S 19 of 236
+--S 18 of 235
 )lisp (identity |$displayOptions| )
 --R 
 --IValue = (|abbreviations| |all| |macros| |modes| |names| ...
---E 19
+--E 18
 
---S 20 of 236
+--S 19 of 235
 )lisp (identity |$displaySetValue|)
 --R 
 --RValue = NIL
---E 20
+--E 19
 
---S 21 of 236
+--S 20 of 235
 )lisp (identity |$displayStartMsgs|)
 --R 
 --RValue = T
---E 21
+--E 20
 
---S 22 of 236
+--S 21 of 235
 )lisp (identity |$formulaFormat|)
 --R 
 --RValue = NIL
---E 22
+--E 21
 
---S 23 of 236
+--S 22 of 235
 )lisp (identity |$formulaOutputFile|)
 --R 
 --RValue = "CONSOLE"
---E 23
+--E 22
 
---S 24 of 236
+--S 23 of 235
 )lisp (identity |$fortIndent|)
 --R 
 --RValue = 6
---E 24
+--E 23
 
---S 25 of 236
+--S 24 of 235
 )lisp (identity |$fortInts2Floats|)
 --R 
 --RValue = T
---E 25
+--E 24
 
---S 26 of 236
+--S 25 of 235
 )lisp (identity |$fortLength|)
 --R 
 --RValue = 72
---E 26
+--E 25
 
---S 27 of 236
+--S 26 of 235
 )lisp (identity |$fortranArrayStartingIndex|)
 --R 
 --RValue = 1
---E 27
+--E 26
 
---S 28 of 236
+--S 27 of 235
 )lisp (identity |$fortranDirectory|)
 --R 
 --RValue = "./"
---E 28
+--E 27
 
---S 29 of 236
+--S 28 of 235
 )lisp (identity |$fortranFormat|)
 --R 
 --RValue = NIL
---E 29
+--E 28
 
---S 30 of 236
+--S 29 of 235
 )lisp (identity |$fortranLibraries|)
 --R 
 --RValue = "-lxlf"
---E 30
+--E 29
 
---S 31 of 236
+--S 30 of 235
 )lisp (identity |$fortranOptimizationLevel|)
 --R 
 --RValue = 0
---E 31
+--E 30
 
---S 32 of 236
+--S 31 of 235
 )lisp (identity |$fortranOutputFile|)
 --R 
 --RValue = "CONSOLE"
---E 32
+--E 31
 
---S 33 of 236
+--S 32 of 235
 )lisp (identity |$fortranPrecision|)
 --R 
 --RValue = |double|
---E 33
+--E 32
 
---S 34 of 236
+--S 33 of 235
 )lisp (identity |$fortranSegment|)
 --R 
 --RValue = T
---E 34
+--E 33
 
---S 35 of 236
+--S 34 of 235
 )lisp (identity |$fortranTmpDir|)
 --R 
 --RValue = "/tmp/"
---E 35
+--E 34
 
---S 36 of 236
+--S 35 of 235
 )lisp (identity |$fortPersistence|)
 --R 
 --RValue = 1
---E 36
+--E 35
 
---S 37 of 236
+--S 36 of 235
 )lisp (identity |$fractionDisplayType|)
 --R 
 --RValue = |vertical|
---E 37
+--E 36
 
---S 38 of 236
+--S 37 of 235
 )lisp (identity |$frameMessages|)
 --R 
 --RValue = NIL
---E 38
+--E 37
 
---S 39 of 236
+--S 38 of 235
 )lisp (identity |$fullScreenSysVars|)
 --R 
 --RValue = NIL
---E 39
+--E 38
 
---S 40 of 236
+--S 39 of 235
 )lisp (identity |$giveExposureWarning|)
 --R 
 --RValue = NIL
---E 40
+--E 39
 
---S 41 of 236
+--S 40 of 235
 )lisp (identity |$HiFiAccess|)
 --R 
 --RValue = T
---E 41
+--E 40
 
---S 42 of 236
+--S 41 of 235
 )lisp (identity |$highlightAllowed|)
 --R 
 --RValue = NIL
---E 42
+--E 41
 
---S 43 of 236
+--S 42 of 235
 )lisp (identity |$historyDirectory|)
 --R 
 --RValue = A
---E 43
+--E 42
 
---S 44 of 236
+--S 43 of 235
 )lisp (identity |$historyDisplayWidth|)
 --R 
 --RValue = 120
---E 44
+--E 43
 
---S 45 of 236
+--S 44 of 235
 )lisp (identity |$historyFileType|)
 --R 
 --RValue = |axh|
---E 45
+--E 44
 
---S 46 of 236
+--S 45 of 235
 )lisp (identity |$InitialCommandSynonymAlist|)
 --R 
 --IValue = ((? . "what commands") (|ap| . "what things") ...
---E 46
+--E 45
 
---S 47 of 236
+--S 46 of 235
 )lisp (identity |$inputPromptType|)
 --R 
 --RValue = |step|
---E 47
+--E 46
 
---S 48 of 236
+--S 47 of 235
 )lisp (identity |$linearFormatScripts|)
 --R 
 --RValue = NIL
---E 48
+--E 47
 
---S 49 of 236
+--S 48 of 235
 )lisp (identity $linelength)
 --R 
 --RValue = 77
---E 49
+--E 48
 
---S 50 of 236
+--S 49 of 235
 )lisp (identity |$mapSubNameAlist|)
 --R 
 --RValue = NIL
---E 50
+--E 49
 
---S 51 of 236
+--S 50 of 235
 )lisp (identity |$mathmlFormat|)
 --R 
 --RValue = NIL
---E 51
+--E 50
 
---S 52 of 236
+--S 51 of 235
 )lisp (identity |$mathmlOutputFile|)
 --R 
 --RValue = "CONSOLE"
---E 52
+--E 51
 
---S 53 of 236
+--S 52 of 235
 )lisp (identity |$maximumFortranExpressionLength|)
 --R 
 --RValue = 1320
---E 53
+--E 52
 
---S 54 of 236
+--S 53 of 235
 )lisp (identity |$nagEnforceDouble|)
 --R 
 --RValue = T
---E 54
+--E 53
 
---S 55 of 236
+--S 54 of 235
 )lisp (identity |$nagHost|)
 --R 
 --RValue = "localhost"
---E 55
+--E 54
 
---S 56 of 236
+--S 55 of 235
 )lisp (identity |$nagMessages|)
 --R 
 --RValue = T
---E 56
+--E 55
 
---S 57 of 236
+--S 56 of 235
 )lisp (identity |$noParseCommands| )
 --R 
 --IValue = (|boot| |copyright| |credits| |fin| |lisp| |pquit| ...
---E 57
+--E 56
 
---S 58 of 236
+--S 57 of 235
 )lisp (identity |$oldHistoryFileName|)
 --R 
 --RValue = |last|
---E 58
+--E 57
 
---S 59 of 236
+--S 58 of 235
 )lisp (identity |$openMathFormat|)
 --R 
 --RValue = NIL
---E 59
+--E 58
 
---S 60 of 236
+--S 59 of 235
 )lisp (identity |$openMathOutputFile|)
 --R 
 --RValue = "CONSOLE"
---E 60
+--E 59
 
---S 61 of 236
+--S 60 of 235
 )lisp (identity $openServerIfTrue)
 --R 
 --RValue = T
---E 61
+--E 60
 
---S 62 of 236
+--S 61 of 235
 )lisp (identity |$optionAlist|)
 --R 
 --RValue = NIL
---E 62
+--E 61
 
---S 63 of 236
+--S 62 of 235
 )lisp (identity |$options|)
 --R 
 --RValue = NIL
---E 63
+--E 62
 
---S 64 of 236
+--S 63 of 235
 )lisp (identity |$plainRTspecialCharacters|)
 --R 
 --RValue = (+ + + + |\|| - ? [ ] { } + + + + + |\\|)
---E 64
+--E 63
 
---S 65 of 236
+--S 64 of 235
 )lisp (identity |$plainSpecialCharacters0|)
 --R 
 --IValue = (#\N #\N #\N #\N #\O #\` #\o #\\255 #\\275 #\\300 ...
---E 65
+--E 64
 
---S 66 of 236
+--S 65 of 235
 )lisp (identity |$plainSpecialCharacters1|)
 --R 
 --IValue = (#\k #\k #\} #\} #\O #\` #\o #\\255 #\\275 #\\300 ...
---E 66
+--E 65
 
---S 67 of 236
+--S 66 of 235
 )lisp (identity |$plainSpecialCharacters2|)
 --R 
 --IValue = (#\O #\O #\O #\O #\O #\` #\o #\\255 #\\275 #\\300 ...
---E 67
+--E 66
 
---S 68 of 236
+--S 67 of 235
 )lisp (identity |$plainSpecialCharacters3|)
 --R 
 --IValue = (#\` #\` #\` #\` #\O #\` #\o #\\255 #\\275 #\\300 ...
---E 68
+--E 67
 
---S 69 of 236
+--S 68 of 235
 )lisp (identity $prettyprint)
 --R 
 --RValue = T
---E 69
+--E 68
 
---S 70 of 236
+--S 69 of 235
 )lisp (identity |$printAnyIfTrue|)
 --R 
 --RValue = T
---E 70
+--E 69
 
---S 71 of 236
+--S 70 of 235
 )lisp (identity |$printFortranDecs|)
 --R 
 --RValue = T
---E 71
+--E 70
 
---S 72 of 236
+--S 71 of 235
 )lisp (identity |$printLoadMsgs|)
 --R 
 --RValue = NIL
---E 72
+--E 71
 
---S 73 of 236
+--S 72 of 235
 )lisp (identity |$printMsgsToFile|)
 --R 
 --RValue = NIL
---E 73
+--E 72
 
---S 74 of 236
+--S 73 of 235
 )lisp (identity |$printStatisticsSummaryIfTrue|)
 --R 
 --RValue = NIL
---E 74
+--E 73
 
---S 75 of 236
+--S 74 of 235
 )lisp (identity |$printTimeIfTrue|)
 --R 
 --RValue = NIL
---E 75
+--E 74
 
---S 76 of 236
+--S 75 of 235
 )lisp (identity |$printTypeIfTrue|)
 --R 
 --RValue = T
---E 76
+--E 75
 
---S 77 of 236
+--S 76 of 235
 )lisp (identity |$printVoidIfTrue|)
 --R 
 --RValue = NIL
---E 77
+--E 76
 
---S 78 of 236
+--S 77 of 235
 )lisp (identity |$quitCommandType|)
 --R 
 --RValue = |protected|
---E 78
+--E 77
 
---S 79 of 236
+--S 78 of 235
 )lisp (identity |$reportBottomUpFlag|)
 --R 
 --RValue = NIL
---E 79
+--E 78
 
---S 80 of 236
+--S 79 of 235
 )lisp (identity |$reportCoerceIfTrue|)
 --R 
 --RValue = NIL
---E 80
+--E 79
 
---S 81 of 236
+--S 80 of 235
 )lisp (identity |$reportCompilation|)
 --R 
 --RValue = NIL
---E 81
+--E 80
 
---S 82 of 236
+--S 81 of 235
 )lisp (identity |$reportEachInstantiation|)
 --R 
 --RValue = NIL
---E 82
+--E 81
 
---S 83 of 236
+--S 82 of 235
 )lisp (identity |$reportInstantiations|)
 --R 
 --RValue = NIL
---E 83
+--E 82
 
---S 84 of 236
+--S 83 of 235
 )lisp (identity |$reportInterpOnly|)
 --R 
 --RValue = T
---E 84
+--E 83
 
---S 85 of 236
+--S 84 of 235
 )lisp (identity |$reportOptimization|)
 --R 
 --RValue = NIL
---E 85
+--E 84
 
---S 86 of 236
+--S 85 of 235
 )lisp (identity |$reportSpadTrace|)
 --R 
 --RValue = NIL
---E 86
+--E 85
 
 \end{chunk}
 This generates non-printing characters
 \begin{verbatim}
---S 87 of 236
+--S 86 of 235
 --)lisp (identity |$RTspecialCharacters|)
---E 87
+--E 86
 \end{verbatim}
 \begin{chunk}{*}
 
---S 88 of 236
+--S 87 of 235
 )lisp (identity *standard-input*)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 88
+--E 87
 
---S 89 of 236
+--S 88 of 235
 )lisp (identity *standard-output*)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 89
+--E 88
 
---S 90 of 236
+--S 89 of 235
 )lisp (identity |$SpadServer|)
 --R 
 --RValue = NIL
---E 90
+--E 89
 
---S 91 of 236
+--S 90 of 235
 )lisp (identity $SpadServerName)
 --R 
 --RValue = "/tmp/.d"
---E 91
+--E 90
 
---S 92 of 236
+--S 91 of 235
 )lisp (identity |$specialCharacterAlist| )
 --R 
 --IValue = ((|ulc| . 0) (|urc| . 1) (|llc| . 2) (|lrc| . 3) ...
---E 92
+--E 91
 
---S 93 of 236
+--S 92 of 235
 )lisp (identity |$specialCharacters|)
 --R 
 --RValue = (+ + + + |\|| - ? [ ] { } + + + + + |\\|)
---E 93
+--E 92
 
---S 94 of 236
+--S 93 of 235
 )lisp (identity |$streamCount|)
 --R 
 --RValue = 10
---E 94
+--E 93
 
---S 95 of 236
+--S 94 of 235
 )lisp (identity |$streamsShowAll|)
 --R 
 --RValue = NIL
---E 95
+--E 94
 
---S 96 of 236
+--S 95 of 235
 )lisp (identity compiler::*suppress-compiler-notes*)
 --R 
 --RValue = T
---E 96
+--E 95
 
---S 97 of 236
+--S 96 of 235
 )lisp (identity compiler::*suppress-compiler-warnings*)
 --R 
 --RValue = T
---E 97
+--E 96
 
---S 98 of 236
+--S 97 of 235
 )lisp (identity |$systemCommandFunction|)
 --R 
 --RValue = #<compiled-function |InterpExecuteSpadSystemCommand|>
---E 98
+--E 97
 
---S 99 of 236
+--S 98 of 235
 )lisp (identity $syscommands)
 --R 
 --IValue = (|abbreviations| |boot| |browse| |cd| |clear| |close| ...
---E 99
+--E 98
 
---S 100 of 236
+--S 99 of 235
 )lisp (identity |$systemCommands|)
 --R 
 --IValue = ((|abbreviations| . |compiler|) (|boot| . |development|) ...
---E 100
+--E 99
 
---S 101 of 236
+--S 100 of 235
 )lisp (identity *terminal-io*)
 --R 
 --IValue = #<two-way stream 090631d4>
---E 101
+--E 100
 
---S 102 of 236
+--S 101 of 235
 )lisp (identity |$testingSystem|)
 --R 
 --RValue = NIL
---E 102
+--E 101
 
---S 103 of 236
+--S 102 of 235
 )lisp (identity |$texFormat|)
 --R 
 --RValue = NIL
---E 103
+--E 102
 
---S 104 of 236
+--S 103 of 235
 )lisp (identity |$texOutputFile|)
 --R 
 --RValue = "CONSOLE"
---E 104
+--E 103
 
---S 105 of 236
+--S 104 of 235
 )lisp (identity |$tokenCommands|)
 --R 
 --IValue = (|abbreviations| |cd| |clear| |close| |compiler| ...
---E 105
+--E 104
 
---S 106 of 236
+--S 105 of 235
 )lisp (identity system::*top-level-hook*)
 --R 
 --RValue = RESTART
---E 106
+--E 105
 
---S 107 of 236
+--S 106 of 235
 )lisp (identity |$tracedMapSignatures|)
 --R 
 --RValue = NIL
---E 107
+--E 106
 
---S 108 of 236
+--S 107 of 235
 )lisp (identity |$traceNoisely|)
 --R 
 --RValue = NIL
---E 108
+--E 107
 
---S 109 of 236
+--S 108 of 235
 )lisp (identity |$traceOptionList|)
 --R 
 --IValue = (|after| |before| |break| |cond| |count| |depth| |local| ...
---E 109
+--E 108
 
---S 110 of 236
+--S 109 of 235
 )lisp (identity underbar)
 --R 
 --RValue = "_"
---E 110
+--E 109
 
---S 111 of 236
+--S 110 of 235
 )lisp (identity |$useEditorForShowOutput|)
 --R 
 --RValue = NIL
---E 111
+--E 110
 
---S 112 of 236
+--S 111 of 235
 )lisp (identity |$useFullScreenHelp|)
 --R 
 --RValue = T
---E 112
+--E 111
 
---S 113 of 236
+--S 112 of 235
 )lisp (identity |$useInternalHistoryTable|)
 --R 
 --RValue = T
---E 113
+--E 112
 
---S 114 of 236
+--S 113 of 235
 )lisp (identity |$useIntrinsicFunctions|)
 --R 
 --RValue = NIL
---E 114
+--E 113
 
---S 115 of 236
+--S 114 of 235
 )lisp (identity |$UserLevel|)
 --R 
 --RValue = |development|
---E 115
+--E 114
 
---S 116 of 236
+--S 115 of 235
 )lisp (identity |$whatOptions|)
 --R 
 --IValue = (|operations| |categories| |domains| |packages| ...
---E 116
+--E 115
 
---S 117 of 236
+--S 116 of 235
 )lisp (identity |$attributeDb|)
 --R 
 --RValue = NIL
---E 117
+--E 116
 
---S 118 of 236
+--S 117 of 235
 )lisp (identity $boot)
 --R 
 --RValue = NIL
---E 118
+--E 117
 
---S 119 of 236
+--S 118 of 235
 )lisp (identity |$cacheAlist|)
 --R 
 --RValue = NIL
---E 119
+--E 118
 
---S 120 of 236
+--S 119 of 235
 )lisp (identity |$cacheCount| )
 --R 
 --RValue = 0
---E 120
+--E 119
 
---S 121 of 236
+--S 120 of 235
 )lisp (identity |$CatOfCatDatabase|)
 --R 
 --RValue = NIL
---E 121
+--E 120
 
---S 122 of 236
+--S 121 of 235
 )lisp (identity |$CloseClient|)
 --R 
 --RValue = 10
---E 122
+--E 121
 
---S 123 of 236
+--S 122 of 235
 )lisp (identity |$coerceIntByMapCounter|)
 --R 
 --RValue = 0
---E 123
+--E 122
 
---S 124 of 236
+--S 123 of 235
 )lisp (identity |$compileMapFlag|)
 --R 
 --RValue = NIL
---E 124
+--E 123
 
---S 125 of 236
+--S 124 of 235
 )lisp (identity |$ConstructorCache|)
 --R 
 --IValue = #<hash-table 08a68f18>
---E 125
+--E 124
 
---S 126 of 236
+--S 125 of 235
 )lisp (identity |$constructors|)
 --R 
 --RValue = NIL
---E 126
+--E 125
 
---S 127 of 236
+--S 126 of 235
 )lisp (identity /countlist)
 --R 
 --RValue = NIL
---E 127
+--E 126
 
---S 128 of 236
+--S 127 of 235
 )lisp (identity $current-directory)
 --R 
 --IValue = "/tmp/"
---E 128
+--E 127
 
---S 129 of 236
+--S 128 of 235
 )lisp (identity |$currentFrameNum|)
 --R 
 --RValue = 0
---E 129
+--E 128
 
---S 130 of 236
+--S 129 of 235
 )lisp (identity |$currentLine|)
 --R 
 --RValue = ")lisp (identity |$currentLine|)"
---E 130
+--E 129
 
---S 131 of 236
+--S 130 of 235
 )lisp (identity $dalymode)
 --R 
 --RValue = NIL
---E 131
+--E 130
 
---S 132 of 236
+--S 131 of 235
 )lisp (identity |$defaultMsgDatabaseName|)
 --R 
 --IValue = #p"/research/reference/mnt/ubuntu/doc/msgs/s2-us.msgs"
---E 132
+--E 131
 
---S 133 of 236
+--S 132 of 235
 )lisp (identity |$dependeeClosureAlist|)
 --R 
 --RValue = NIL
---E 133
+--E 132
 
---S 134 of 236
+--S 133 of 235
 )lisp (identity $directory-list)
 --R 
 --IValue = ("/research/reference/mnt/ubuntu/../../src/input/" ...
---E 134
+--E 133
 
---S 135 of 236
+--S 134 of 235
 )lisp (identity |$displayStartMsgs| )
 --R 
 --RValue = T
---E 135
+--E 134
 
---S 136 of 236
+--S 135 of 235
 )lisp (identity |$domains|)
 --R 
 --R 
@@ -841,21 +835,21 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 136
+--E 135
 
---S 137 of 236
+--S 136 of 235
 )lisp (identity |$DomOfCatDatabase|)
 --R 
 --RValue = NIL
---E 137
+--E 136
 
---S 138 of 236
+--S 137 of 235
 )lisp (identity |$domainTraceNameAssoc|)
 --R 
 --RValue = NIL
---E 138
+--E 137
 
---S 139 of 236
+--S 138 of 235
 )lisp (identity |$doNotAddEmptyModeIfTrue|)
 --R 
 --R 
@@ -864,249 +858,249 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 139
+--E 138
 
---S 140 of 236
+--S 139 of 235
 )lisp (identity |$e|)
 --R 
 --IValue = ((((|Category| (|modemap| (((|Category|) (|Category|)) (T *))))...
---E 140
+--E 139
 
---S 141 of 236
+--S 140 of 235
 )lisp (identity |$echoLineStack|)
 --R 
 --RValue = NIL
---E 141
+--E 140
 
---S 142 of 236
+--S 141 of 235
 )lisp (identity /editfile)
 --R 
 --IValue = #p"/tmp/u.input"
---E 142
+--E 141
 
---S 143 of 236
+--S 142 of 235
 )lisp (identity |$EmptyEnvironment|)
 --R 
 --RValue = ((NIL))
---E 143
+--E 142
 
---S 144 of 236
+--S 143 of 235
 )lisp (identity |$env|)
 --R 
 --RValue = ((NIL))
---E 144
+--E 143
 
---S 145 of 236
+--S 144 of 235
 )lisp (identity *eof*)
 --R 
 --RValue = NIL
---E 145
+--E 144
 
---S 146 of 236
+--S 145 of 235
 )lisp (identity |$erMsgToss|)
 --R 
 --RValue = NIL
---E 146
+--E 145
 
---S 147 of 236
+--S 146 of 235
 )lisp (identity |$existingFiles|)
 --R 
 --IValue = #<hash-table 08c5b230>
---E 147
+--E 146
 
---S 148 of 236
+--S 147 of 235
 )lisp (identity |$fn|)
 --R 
 --IValue = "/tmp/u.input"
---E 148
+--E 147
 
---S 149 of 236
+--S 148 of 235
 )lisp (identity |$formulaOutputStream|)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 149
+--E 148
 
---S 150 of 236
+--S 149 of 235
 )lisp (identity |$fortranOutputStream|)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 150
+--E 149
 
---S 151 of 236
+--S 150 of 235
 )lisp (identity |$frameMessages|)
 --R 
 --RValue = NIL
---E 151
+--E 150
 
---S 152 of 236
+--S 151 of 235
 )lisp (identity |$frameRecord|)
 --R 
 --RValue = NIL
---E 152
+--E 151
 
---S 153 of 236
+--S 152 of 235
 )lisp (identity |$fromSpadTrace|)
 --R 
 --RValue = NIL
---E 153
+--E 152
 
---S 154 of 236
+--S 153 of 235
 )lisp (identity |$functionTable|)
 --R 
 --RValue = NIL
---E 154
+--E 153
 
---S 155 of 236
+--S 154 of 235
 )lisp (identity |$globalExposureGroupAlist|)
 --R 
 --IValue = ((|basic| ...
---E 155
+--E 154
 
---S 156 of 236
+--S 155 of 235
 )lisp (identity |$HistList|)
 --R 
 --IValue = #0=(NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL ...
---E 156
+--E 155
 
---S 157 of 236
+--S 156 of 235
 )lisp (identity |$HistListAct|)
 --R 
 --RValue = 0
---E 157
+--E 156
 
---S 158 of 236
+--S 157 of 235
 )lisp (identity |$HistListLen|)
 --R 
 --RValue = 20
---E 158
+--E 157
 
---S 159 of 236
+--S 158 of 235
 )lisp (identity |$HistRecord|)
 --R 
 --RValue = NIL
---E 159
+--E 158
 
---S 160 of 236
+--S 159 of 235
 )lisp (identity |$inclAssertions|)
 --R 
 --RValue = (AIX |CommonLisp|)
---E 160
+--E 159
 
---S 161 of 236
+--S 160 of 235
 )lisp (identity |$InitialModemapFrame|)) )
 --R 
 --RValue = ((NIL))
---E 161
+--E 160
 
---S 162 of 236
+--S 161 of 235
 )lisp (identity in-stream)
 --R 
 --RValue = #<synonym stream to *STANDARD-INPUT*>
---E 162
+--E 161
 
---S 163 of 236
+--S 162 of 235
 )lisp (identity |$InteractiveMode|)
 --R 
 --RValue = T
---E 163
+--E 162
 
---S 164 of 236
+--S 163 of 235
 )lisp (identity |$InteractiveFrame| )
 --R 
 --RValue = ((NIL))
---E 164
+--E 163
 
---S 165 of 236
+--S 164 of 235
 )lisp (identity |$internalHistoryTable|)
 --R 
 --RValue = NIL
---E 165
+--E 164
 
---S 166 of 236
+--S 165 of 235
 )lisp (identity |$interpreterFrameName|)
 --R 
 --IValue = |frame0|
---E 166
+--E 165
 
---S 167 of 236
+--S 166 of 235
 )lisp (identity |$interpreterFrameRing|)
 --R 
 --IValue = ((|frame0| ((NIL)) 1 T #0=(NIL NIL NIL NIL NIL ...
---E 167
+--E 166
 
---S 168 of 236
+--S 167 of 235
 )lisp (identity |$intRestart|)
 --R 
 --RValue = |restart|
---E 168
+--E 167
 
---S 169 of 236
+--S 168 of 235
 )lisp (identity |$intTopLevel|)
 --R 
 --RValue = |top_level|
---E 169
+--E 168
 
---S 170 of 236
+--S 169 of 235
 )lisp (identity |$IOindex| )
 --R 
 --RValue = 1
---E 170
+--E 169
 
---S 171 of 236
+--S 170 of 235
 )lisp (identity |$JoinOfCatDatabase|)
 --R 
 --RValue = NIL
---E 171
+--E 170
 
---S 172 of 236
+--S 171 of 235
 )lisp (identity |$JoinOfDomDatabase|)
 --R 
 --RValue = NIL
---E 172
+--E 171
 
---S 173 of 236
+--S 172 of 235
 )lisp (identity |$lastPos|)
 --R 
 --RValue = (|noposition|)
---E 173
+--E 172
 
---S 174 of 236
+--S 173 of 235
 )lisp (identity |$lastUntraced|)
 --R 
 --RValue = NIL
---E 174
+--E 173
 
---S 175 of 236
+--S 174 of 235
 )lisp (identity |$letAssoc| )
 --R 
 --RValue = NIL
---E 175
+--E 174
 
---S 176 of 236
+--S 175 of 235
 )lisp (identity |$libQuiet|)
 --R 
 --RValue = T
---E 176
+--E 175
 
---S 177 of 236
+--S 176 of 235
 )lisp (identity $library-directory-list)
 --R 
 --IValue = ("/research/reference/mnt/ubuntu/algebra/")
---E 177
+--E 176
 
---S 178 of 236
+--S 177 of 235
 )lisp (identity |$localExposureData|)
 --R 
 --IValue = #<vector 08cc0e8c>
---E 178
+--E 177
 
---S 179 of 236
+--S 178 of 235
 )lisp (identity |$localExposureDataDefault|)
 --R 
 --IValue = #<vector 08a687fc>
---E 179
+--E 178
 
---S 180 of 236
+--S 179 of 235
 )lisp (identity |$lookupDefaults|)
 --R 
 --R 
@@ -1115,123 +1109,123 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 180
+--E 179
 
---S 181 of 236
+--S 180 of 235
 )lisp (identity |$mathmlOutputStream|)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 181
+--E 180
 
---S 182 of 236
+--S 181 of 235
 )lisp (identity |$mathTraceList|)
 --R 
 --RValue = NIL
---E 182
+--E 181
 
---S 183 of 236
+--S 182 of 235
 )lisp (identity |$mkTestInputStack|)
 --R 
 --RValue = NIL
---E 183
+--E 182
 
---S 184 of 236
+--S 183 of 235
 )lisp (identity |$msgAlist|)
 --R 
 --RValue = NIL
---E 184
+--E 183
 
---S 185 of 236
+--S 184 of 235
 )lisp (identity |$msgDatabase|)
 --R 
 --RValue = NIL
---E 185
+--E 184
 
---S 186 of 236
+--S 185 of 235
 )lisp (identity |$msgDatabaseName|)
 --R 
 --RValue = NIL
---E 186
+--E 185
 
---S 187 of 236
+--S 186 of 235
 )lisp (identity |$ncMsgList|)
 --R 
 --RValue = NIL
---E 187
+--E 186
 
---S 188 of 236
+--S 187 of 235
 )lisp (identity |$newConlist|)
 --R 
 --RValue = NIL
---E 188
+--E 187
 
---S 189 of 236
+--S 188 of 235
 )lisp (identity |$NonNullStream| )
 --R 
 --RValue = "NonNullStream"
---E 189
+--E 188
 
---S 190 of 236
+--S 189 of 235
 )lisp (identity |$nopos|)
 --R 
 --RValue = (|noposition|)
---E 190
+--E 189
 
---S 191 of 236
+--S 190 of 235
 )lisp (identity |$newcompErrorCount|)
 --R 
 --RValue = 0
---E 191
+--E 190
 
---S 192 of 236
+--S 191 of 235
 )lisp (identity nil)
 --R 
 --RValue = NIL
---E 192
+--E 191
 
---S 193 of 236
+--S 192 of 235
 )lisp (identity $newspad)
 --R 
 --RValue = T
---E 193
+--E 192
 
---S 194 of 236
+--S 193 of 235
 )lisp (identity |$NullStream|)
 --R 
 --RValue = "NullStream"
---E 194
+--E 193
 
---S 195 of 236
+--S 194 of 235
 )lisp (identity |$okToExecuteMachineCode|)
 --R 
 --RValue = T
---E 195
+--E 194
 
---S 196 of 236
+--S 195 of 235
 )lisp (identity |$openMathOutputStream|)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 196
+--E 195
 
---S 197 of 236
+--S 196 of 235
 )lisp (identity |$operationNameList|)
 --R 
 --RValue = NIL
---E 197
+--E 196
 
---S 198 of 236
+--S 197 of 235
 )lisp (identity |$outputLibraryName|)
 --R 
 --RValue = NIL
---E 198
+--E 197
 
---S 199 of 236
+--S 198 of 235
 )lisp (identity |$OutputForm|)
 --R 
 --RValue = (|OutputForm|)
---E 199
+--E 198
 
---S 200 of 236
+--S 199 of 235
 )lisp (identity |$packages|)
 --R 
 --R 
@@ -1240,63 +1234,63 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 200
+--E 199
 
---S 201 of 236
+--S 200 of 235
 )lisp (identity /pretty)
 --R 
 --RValue = NIL
---E 201
+--E 200
 
---S 202 of 236
+--S 201 of 235
 )lisp (identity |$previousBindings|)
 --R 
 --RValue = NIL
---E 202
+--E 201
 
---S 203 of 236
+--S 202 of 235
 )lisp (identity |$PrintCompilerMessageIfTrue|)
 --R 
 --RValue = NIL
---E 203
+--E 202
 
---S 204 of 236
+--S 203 of 235
 )lisp (identity |$printLoadMsgs| )
 --R 
 --RValue = NIL
---E 204
+--E 203
 
---S 205 of 236
+--S 204 of 235
 )lisp (identity |$promptMsg|)
 --R 
 --RValue = S2CTP023
---E 205
+--E 204
 
---S 206 of 236
+--S 205 of 235
 )lisp (identity |$QuickLet|)
 --R 
 --RValue = T
---E 206
+--E 205
 
---S 207 of 236
+--S 206 of 235
 )lisp (identity |$quitTag|)
 --R 
 --RValue = (NIL)
---E 207
+--E 206
 
---S 208 of 236
+--S 207 of 235
 )lisp (identity $relative-directory-list)
 --R 
 --IValue = ("/../../src/input/" "/doc/msgs/" "/../../src/algebra/" ...
---E 208
+--E 207
 
---S 209 of 236
+--S 208 of 235
 )lisp (identity $relative-library-directory-list)
 --R 
 --RValue = ("/algebra/")
---E 209
+--E 208
 
---S 210 of 236
+--S 209 of 235
 )lisp (identity |$seen|)
 --R 
 --R 
@@ -1305,99 +1299,99 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 210
+--E 209
 
---S 211 of 236
+--S 210 of 235
 )lisp (identity |$SessionManager|)
 --R 
 --RValue = 1
---E 211
+--E 210
 
---S 212 of 236
+--S 211 of 235
 )lisp (identity |$setOptions|)
 --R 
 --RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style" |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format" LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
---E 212
+--E 211
 
---S 213 of 236 obsolete |$shoeReadLineFunction|
+--S 212 of 235 obsolete |$shoeReadLineFunction|
 )lisp nil
 --R 
 --RValue = NIL
---E 213
+--E 212
 
---S 214 of 236
+--S 213 of 235
 )lisp (identity |$slamFlag|)
 --R 
 --RValue = NIL
---E 214
+--E 213
 
---S 215 of 236
+--S 214 of 235
 )lisp (identity /sourcefiles)
 --R 
 --RValue = NIL
---E 215
+--E 214
 
---S 216 of 236
+--S 215 of 235
 )lisp (identity |$sourceFiles|)
 --R 
 --RValue = NIL
---E 216
+--E 215
 
---S 217 of 236
+--S 216 of 235
 )lisp (identity /spacelist)
 --R 
 --RValue = NIL
---E 217
+--E 216
 
---S 218 of 236
+--S 217 of 235
 )lisp (identity $spad)
 --R 
 --RValue = T
---E 218
+--E 217
 
---S 219 of 236
+--S 218 of 235
 )lisp (identity $spadroot)
 --R 
 --IValue = "/research/reference/mnt/ubuntu"
---E 219
+--E 218
 
---S 220 of 236
+--S 219 of 235
 )lisp (identity |$texOutputStream|)
 --R 
 --RValue = #<synonym stream to *TERMINAL-IO*>
---E 220
+--E 219
 
---S 221 of 236
+--S 220 of 235
 )lisp (identity /timerlist)
 --R 
 --RValue = NIL
---E 221
+--E 220
 
---S 222 of 236
+--S 221 of 235
 )lisp (identity |$timerTicksPerSecond|)
 --R 
 --RValue = 100
---E 222
+--E 221
 
---S 223 of 236
+--S 222 of 235
 )lisp (identity |$tracedMapSignatures|)
 --R 
 --RValue = NIL
---E 223
+--E 222
 
---S 224 of 236
+--S 223 of 235
 )lisp (identity |$tracedModemap|)
 --R 
 --RValue = NIL
---E 224
+--E 223
 
---S 225 of 236
+--S 224 of 235
 )lisp (identity |$tracedSpadModemap|)
 --R 
 --RValue = NIL
---E 225
+--E 224
 
---S 226 of 236
+--S 225 of 235
 )lisp (identity |$traceErrorStack|)
 --R 
 --R 
@@ -1406,51 +1400,51 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 226
+--E 225
 
---S 227 of 236
+--S 226 of 235
 )lisp (identity $traceletflag)
 --R 
 --RValue = NIL
---E 227
+--E 226
 
---S 228 of 236
+--S 227 of 235
 )lisp (identity |$traceletFunctions|)
 --R 
 --RValue = NIL
---E 228
+--E 227
 
---S 229 of 236
+--S 228 of 235
 )lisp (identity |$undoFlag|)
 --R 
 --RValue = T
---E 229
+--E 228
 
---S 230 of 236
+--S 229 of 235
 )lisp (identity nil)
 --R 
 --RValue = NIL
---E 230
+--E 229
 
---S 231 of 236
+--S 230 of 235
 )lisp (identity |$UserAbbreviationsAlist|)
 --R 
 --RValue = NIL
---E 231
+--E 230
 
---S 232 of 236
+--S 231 of 235
 )lisp (identity |$variableNumberAlist|)
 --R 
 --RValue = NIL
---E 232
+--E 231
 
---S 233 of 236
+--S 232 of 235
 )lisp (identity |$Void|)
 --R 
 --RValue = (|Void|)
---E 233
+--E 232
 
---S 234 of 236
+--S 233 of 235
 )lisp (identity |$writifyComplained|)
 --R 
 --R 
@@ -1459,19 +1453,19 @@ This generates non-printing characters
 --R
 --R   Continuing to read the file...
 --R
---E 234
+--E 233
 
---S 235 of 236
+--S 234 of 235
 )lisp (identity /wsname)
 --R 
 --RValue = NOBOOT
---E 235
+--E 234
 
---S 236 of 236
+--S 235 of 235
 )lisp (identity |$xdatabase|)
 --R 
 --RValue = NIL
---E 236
+--E 235
 
 
 )spool
